diff --git a/tests/run_vectors.sh b/tests/run_vectors.sh
index 1cc445de25e2547f25d5142ba90818bba2f3137a..116a743fe7d2337705510f190d9a872b20024111 100755
--- a/tests/run_vectors.sh
+++ b/tests/run_vectors.sh
@@ -57,6 +57,11 @@ else
     exit 0
 fi
 
+if [ ! -x $OPUS_COMPARE ]; then
+    echo ERROR: Compare program not found: $OPUS_COMPARE
+    exit 1
+fi
+
 if [ -x $OPUS_DEMO ]; then
     echo Decoding with $OPUS_DEMO
 else